%define ppp_version 2.5.2
%define majver %(echo %version | cut -d. -f1-2)
Name:          NetworkManager-pptp
Version:       1.2.12
Release:       4mamba
Summary:       NetworkManager plugin for VPN clients using the Point-to-Point Tunneling Protocol
Group:         Network/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.gnome.org/
Source:        https://download.gnome.org/sources/NetworkManager-pptp/%{majver}/NetworkManager-pptp-%{version}.tar.xz
Patch0:        NetworkManager-pptp-1.2.8-dbus_policy.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libat-spi2-core-devel
BuildRequires: libcairo-devel
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libgtk3-devel
BuildRequires: libharfbuzz-devel
BuildRequires: libnm-devel
BuildRequires: libnma-devel
BuildRequires: libpango-devel
BuildRequires: libsecret-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: libnm-devel >= 1.22.2
BuildRequires: ppp = %{ppp_version}
Requires:      ppp >= %{ppp_version}
Provides:      networkmanagervpnplugin

%description
NetworkManager plugin for VPN clients using the Point-to-Point Tunneling Protocol.

%prep
%setup -q
%patch 0 -p1

autoreconf -f -i

%build
%configure \
   --with-pppd-plugin-dir=%{_libdir}/pppd/%{ppp_version}

%make CFLAGS="-Wno-deprecated-declarations"

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%find_lang %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.lang
%defattr(-,root,root)
%{_datadir}/dbus-1/system.d/nm-pptp-service.conf
%{_prefix}/lib/NetworkManager/VPN/nm-pptp-service.name
%{_libdir}/pppd/%{ppp_version}/nm-pptp-pppd-plugin.so
%{_libdir}/NetworkManager/libnm-vpn-plugin-pptp-editor.so
%{_libdir}/NetworkManager/libnm-vpn-plugin-pptp.so
%{_libexecdir}/nm-pptp-auth-dialog
%{_libexecdir}/nm-pptp-service
%{_datadir}/metainfo/network-manager-pptp.metainfo.xml
%doc AUTHORS COPYING
#ChangeLog NEWS README TODO

%changelog
* Sun Jan 05 2025 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.12-4mamba
- rebuilt with ppp 2.5.2

* Fri Oct 11 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.12-3mamba
- rebuilt with ppp 2.5.1

* Tue May 23 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.12-2mamba
- rebuilt with ppp 2.5.0

* Sat Mar 11 2023 Automatic Build System <autodist@mambasoft.it> 1.2.12-1mamba
- automatic version update by autodist

* Mon Mar 21 2022 Automatic Build System <autodist@mambasoft.it> 1.2.10-1mamba
- automatic version update by autodist

* Mon Jan 18 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.8-4mamba
- rebuilt with ppp 2.4.9

* Mon Apr 20 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.8-3mamba
- rebuilt with ppp 2.4.8

* Sun Apr 05 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.8-2mamba
- rebuilt with debug package and libnma-devel

* Fri Jan 10 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.8-1mamba
- update to 1.2.8

* Thu May 10 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.6-1mamba
- update to 1.2.6

* Thu Sep 15 2016 Automatic Build System <autodist@mambasoft.it> 1.0.8-1mamba
- automatic update by autodist

* Wed Jan 21 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.0-1mamba
- update to 1.0.0

* Thu Oct 16 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.10.0-1mamba
- update to 0.9.10.0

* Thu Aug 21 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.8.4-3mamba
- rebuilt  with ppp 2.4.7

* Sun Feb 23 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.8.4-2mamba
- rebuilt with ppp 2.4.6

* Sun Sep 15 2013 Automatic Build System <autodist@mambasoft.it> 0.9.8.4-1mamba
- automatic update by autodist

* Sat Jun 08 2013 Automatic Build System <autodist@mambasoft.it> 0.9.8.2-1mamba
- automatic version update by autodist

* Thu Feb 21 2013 Automatic Build System <autodist@mambasoft.it> 0.9.8.0-1mamba
- automatic version update by autodist

* Tue Feb 05 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.6.0-2mamba
- added patch to fix build against gtk >= 3.6

* Sat Aug 11 2012 Automatic Build System <autodist@mambasoft.it> 0.9.6.0-1mamba
- automatic version update by autodist

* Thu May 03 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.4.0-1mamba
- update to 0.9.4.0

* Mon Mar 12 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.2.0-1mamba
- update to 0.9.2.0

* Sat Sep 17 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.0-1mamba
- update to 0.9.0

* Tue Jul 26 2011 Automatic Build System <autodist@mambasoft.it> 0.8.4-1mamba
- update to 0.8.4

* Tue Jun 28 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.2-3mamba
- fix dbus policy: patch was not applied

* Fri Jun 17 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.2-2mamba
- added virtual provide networkmanagervpnplugin
- configure dbus policy for at_console user and sysadmin group

* Wed Jun 15 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.2-1mamba
- package created by autospec
